Page MenuHomePhabricator

[clang-rename] extend testset
ClosedPublic

Authored by omtcyf0 on Jul 7 2016, 11:41 AM.

Details

Summary

This patch introduces few additional tests including one case the tool does not handle yet, which should be fixed in the future.

Diff Detail

Event Timeline

omtcyf0 updated this revision to Diff 63103.Jul 7 2016, 11:41 AM
omtcyf0 retitled this revision from to [clang-rename] extend testset.
omtcyf0 updated this object.
omtcyf0 added reviewers: alexfh, klimek, bkramer, ioeric.
omtcyf0 added a subscriber: cfe-commits.
omtcyf0 updated this revision to Diff 63470.Jul 11 2016, 12:57 AM

add XFAIL test with virtual function renaming

klimek edited edge metadata.Jul 11 2016, 4:16 AM

Add
// FIXME: <desired behavior to implement>
to tests that do not work yet.

I'd personally not check in the XFAIL tests for now, and just add them when you implement the missing functionality; the problem with XFAIL here is that (due to the offsets involved) they can easily switch into a mode where they fail not because the feature is not implemented, but because the test is incorrect.

omtcyf0 updated this revision to Diff 63647.Jul 12 2016, 12:35 AM
omtcyf0 edited edge metadata.
klimek added inline comments.Jul 14 2016, 12:44 AM
test/clang-rename/TemplateTypename.cpp
4

Here, too?

omtcyf0 updated this revision to Diff 63934.Jul 14 2016, 12:52 AM
omtcyf0 marked an inline comment as done.

Oops, sorry. Fixed it.

+1 currently unsupported test.

klimek accepted this revision.Jul 14 2016, 12:55 AM
klimek edited edge metadata.

lg

This revision is now accepted and ready to land.Jul 14 2016, 12:55 AM

Thanks, Manuel!

Can you please land it?

Can you please avoid adding VirtualFunction.cpp? http://reviews.llvm.org/D22237 would add it as well, but without the FIXME. Thanks! :-)

omtcyf0 updated this revision to Diff 63939.Jul 14 2016, 1:40 AM
omtcyf0 edited edge metadata.

@vmiklos sure thing.

Thanks for noticing!

This revision was automatically updated to reflect the committed changes.